<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>
        <policy context="default">
		<!-- PDPLinux patch -->

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Settings.Connection"
		       exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="GetPermissions"
		       exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager"
                       send_member="ActivateConnection"
		       exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.Device"
                       send_member="Disconnect"
		       exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.NetworkManager.AgentManager"
                       send_member="ReloadConnections"
		       exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                      send_interface="org.freedesktop.DBus.Properties"
                      send_member="Get"
                      exec_src="/usr/lib/x86_64-linux-gnu/libexec/org_kde_powerdevil" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                      send_interface="org.freedesktop.DBus.Properties"
                      send_member="GetAll"
                      exec_src="/usr/lib/x86_64-linux-gnu/libexec/org_kde_powerdevil" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                      send_interface="org.freedesktop.NetworkManager"
                      send_member="GetPermissions"
                      exec_src="/usr/lib/x86_64-linux-gnu/libexec/org_kde_powerdevil" skip_mandatory="true"/>

                <allow send_destination="org.freedesktop.NetworkManager"
                       send_interface="org.freedesktop.DBus.ObjectManager"
                       exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_interface="org.freedesktop.NetworkManager.AgentManager"
                      send_path="/org/freedesktop/NetworkManager/AgentManager"
                      send_member="RegisterWithCapabilities"
                      exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <allow send_interface="org.freedesktop.NetworkManager.AgentManager"
                      send_path="/org/freedesktop/NetworkManager/AgentManager"
                      send_member="Register"
                      exec_src="/usr/bin/nm-applet" skip_mandatory="true"/>

                <!-- This allows to run Edit connections from non-Zero levels -->

                <!-- allow exec_src="/usr/bin/nm-connection-editor" skip_mandatory="true"/ -->

                <!-- End PDPLinux patch -->
        </policy>
</busconfig>

